#!/bin/sh

#Conf dir/file definition
FILE_ITUNES_PKG_INFO=/var/packages/iTunesServer/INFO
FILE_ITUNES_PKG_ENABLE=/var/packages/iTunesServer/enabled
SCRIPTSPATH=/var/packages/iTunesServer/target/scripts/S99iTunes.sh

PackageInfoGet(){
	if [ -f "${FILE_ITUNES_PKG_INFO}" ]; then
		ITUNES_PKG_NAME=`/bin/get_key_value ${FILE_ITUNES_PKG_INFO} package`
		ITUNES_PKG_VERSION=`/bin/get_key_value ${FILE_ITUNES_PKG_INFO} version`
		ITUENS_PKG_VENDOR=`/bin/get_key_value ${FILE_ITUNES_PKG_INFO} maintainer`
		ITUNES_PKG_MODVER=`/bin/get_key_value ${FILE_ITUNES_PKG_INFO} sdkmodversion`
	else
		echo "iTunesServer package info file does not exist!";
		exit 1;
	fi
}
		
PackageEnableGet(){
	if [ -f "${FILE_ITUNES_PKG_ENABLE}" ]; then
		ITUNES_PKG_ENABLE=1;
	else
		ITUNES_PKG_ENABLE=0;
	fi
}

iTunesServerRestart(){
	$SCRIPTSPATH restart
}	
