#!/bin/sh
# Copyright (c) 2000-2011 Synology Inc. All rights reserved.

#Include common scripts
FILE_ITUNES_INC_SCRP=/usr/local/libexec/iTunesServiceCommon.sh
. ${FILE_ITUNES_INC_SCRP}

#At begining, acquire package settings
PackageInfoGet;

case $1 in
	--sdk-mod-ver)
		#Print SDK support version
		echo ${ITUNES_PKG_MODVER};
	;;
	--name)
		#Print package name
		echo ${ITUNES_PKG_VERSION};
	;;
	--vendor)
		#Print package vendor
		echo ${ITUNES_PKG_VENDOR};
	;;
	--post)
		PackageEnableGet;
		if [ "1" = "${ITUNES_PKG_ENABLE}" -a "1" = "${SERVICE_IP_CHANGE}" ]; then
			iTunesServerRestart;
		fi
	;;
	*)
		echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
	;;
esac

